Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# CORBA_ContextList_var Class Reference

`#include <Context.h>`

List of all members.

## Public Methods
| CORBA_ContextList_var (void)
| CORBA_ContextList_var (CORBA_ContextList_ptr)
| CORBA_ContextList_var (const CORBA_ContextList_var &)
| ~CORBA_ContextList_var (void)
CORBA_ContextList_var& | operator= (CORBA_ContextList_ptr)
CORBA_ContextList_var& | operator= (const CORBA_ContextList_var &)
CORBA_ContextList_ptr | operator-> (void) const
| operator const CORBA_ContextList_ptr & () const
| operator CORBA_ContextList_ptr & ()
CORBA_ContextList_ptr | in (void) const
CORBA_ContextList_ptr& | inout (void)
CORBA_ContextList_ptr& | out (void)
CORBA_ContextList_ptr | _retn (void)
CORBA_ContextList_ptr | ptr (void) const
## Private Attributes
CORBA_ContextList_ptr | ptr_

## Constructor & Destructor Documentation

ACE_INLINE CORBA_ContextList_var::CORBA_ContextList_var ( | void )

ACE_INLINE CORBA_ContextList_var::CORBA_ContextList_var ( | CORBA_ContextList_ptr p )

ACE_INLINE CORBA_ContextList_var::CORBA_ContextList_var ( | const CORBA_ContextList_var & p )

ACE_INLINE CORBA_ContextList_var::~CORBA_ContextList_var ( | void )

## Member Function Documentation

ACE_INLINE CORBA_ContextList_ptr CORBA_ContextList_var::_retn ( | void )

ACE_INLINE CORBA_ContextList_ptr CORBA_ContextList_var::in ( | void ) const

ACE_INLINE CORBA_ContextList_ptr & CORBA_ContextList_var::inout ( | void )

ACE_INLINE CORBA_ContextList_var::operator CORBA_ContextList_ptr & ( | )

ACE_INLINE CORBA_ContextList_var::operator const CORBA_ContextList_ptr & ( | ) const

ACE_INLINE CORBA_ContextList_ptr CORBA_ContextList_var::operator-> ( | void ) const

ACE_INLINE CORBA_ContextList_var & CORBA_ContextList_var::operator= ( | const CORBA_ContextList_var & p )

ACE_INLINE CORBA_ContextList_var & CORBA_ContextList_var::operator= ( | CORBA_ContextList_ptr p )

ACE_INLINE CORBA_ContextList_ptr & CORBA_ContextList_var::out ( | void )

ACE_INLINE CORBA_ContextList_ptr CORBA_ContextList_var::ptr ( | void ) const

## Member Data Documentation

CORBA_ContextList_ptr CORBA_ContextList_var::ptr_`[private]`

The documentation for this class was generated from the following files:

- Context.h
- Context.inl